Package net.shibboleth.idp.profile.impl

# Class LogSpringContextInfo

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.profile.action.AbstractProfileAction
org.opensaml.profile.action.AbstractConditionalProfileAction
net.shibboleth.idp.profile.AbstractProfileAction
net.shibboleth.idp.profile.impl.LogSpringContextInfo

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `ProfileAction`, `Aware`, `ApplicationContextAware`, `MessageSource`, `MessageSourceAware`, `Action`

public class LogSpringContextInfo extends AbstractProfileAction implements ApplicationContextAware
Spring Web Flow utility action for logging on DEBUG details about the current hierarchy of Spring `ApplicationContext` and the beans contained within each.

You can contextualize the logging of the info either by setting `setDescription(String)`, or more usefully by using an attribute on the specific action expression as below. This allows using just one declaration of the action bean, but parameterized differently depending on where it is placed.

     <evaluate expression="LogSpringContextInfo">
        <attribute name="springInfoDescription" value="My Description" />
     </evaluate>

## Field Summary

Fields
Modifier and Type
Field
Description
`private ApplicationContext`
`applicationContext`
The owning Spring ApplicationContext in which this action is defined.
`static final String`
`ATTRIB_DESC`
Name of Spring web flow attribute holding the description of the tree to log.
`private String`
`description`
Contextual description to output at the start of the action.
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`LogSpringContextInfo()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doExecute(ProfileRequestContext profileRequestContext)`
`void`
`setApplicationContext(ApplicationContext context)`
`void`
`setDescription(String value)`
Set the contextual description to output at the start of the action.

### Methods inherited from class net.shibboleth.idp.profile.AbstractProfileAction

`doExecute, execute, getBean, getBean, getMessage, getMessage, getMessage, getParameter, getParameter, getProfileContextLookupStrategy, getRequestContext, getResult, setMessageSource, setProfileContextLookupStrategy`

### Methods inherited from class org.opensaml.profile.action.AbstractConditionalProfileAction

`doPreExecute, getActivationCondition, setActivationCondition`

### Methods inherited from class org.opensaml.profile.action.AbstractProfileAction

`doPostExecute, doPostExecute, ensureHttpServletRequest, ensureHttpServletResponse, execute, getHttpServletRequest, getHttpServletRequestSupplier, getHttpServletResponse, getHttpServletResponseSupplier, getLogPrefix, isPreExecuteCalled, setHttpServletRequestSupplier, setHttpServletResponseSupplier`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### ATTRIB_DESC

@Nonnull @NotEmpty public static final String ATTRIB_DESC
Name of Spring web flow attribute holding the description of the tree to log.

See Also:
  - Constant Field Values

### log

@Nonnull private org.slf4j.Logger log
Logger.

### applicationContext

@Nullable private ApplicationContext applicationContext
The owning Spring ApplicationContext in which this action is defined.

### description

@Nullable private String description
Contextual description to output at the start of the action.

## Constructor Details

### LogSpringContextInfo

public LogSpringContextInfo()

## Method Details

### setDescription

public void setDescription(@Nullable String value)
Set the contextual description to output at the start of the action.

Parameters:
  `value` - the description value

### setApplicationContext

public void setApplicationContext(@Nonnull ApplicationContext context) throws BeansException

Specified by:
  `setApplicationContext` in interface `ApplicationContextAware`
Throws:
  `BeansException`

### doExecute

protected void doExecute(@Nonnull ProfileRequestContext profileRequestContext)

Overrides:
  `doExecute` in class `AbstractProfileAction`